<?php
declare(strict_types=1);

namespace WP_AUX\Enum;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum StoryHeaderTypeEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case Standard = 'standard';
  case Featured = 'featured';

  public const SETTING_LABEL = 'AUX story/news layout';

  public function label(): string
  {
    return match($this) {
      self::Standard => 'Standard',
      self::Featured => 'Featured',
    };
  }
}
